<?php 

function ver($tab) {
 	$tabla_fin = array(); //tabla que contiene las palabras a mostrar aleatoriamente
	$j=0; //contador de esta tabla
	$numero_elementos = sizeof($tab);
	while ($j < $numero_elementos) {
		$clave_aleatoria = array_rand($tab);
		//si el valor ordenado aleatoriamente ya está presente en
		//la tabla de fin, incrementa de $j para recomenzar
		//el bucle una vez más.
		if (! in_array($tab[$clave_aleatoria],$tabla_fin)) {
			$tabla_fin[$j] = $tab[$clave_aleatoria];
			$j++;
		}
 	}
	foreach ($tabla_fin as $val) {
		echo $val." ";
	}
}
$tabla_palabra[0] = "Hola";
$tabla_palabra[1] = "Señor";
$tabla_palabra[2] = "Roberto";
$tabla_palabra[3] = "Pepe";
ver($tabla_palabra);
  

?>
